package com.kmall.api.entity.mk;

import java.io.Serializable;
import java.util.Date;

/**
 * 门店推广渠道实体
 * 表名 mk_store_prom_visitors
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-30 12:01:14
 */
public class MkStorePromVisitorsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 推广访客id
     */
    private Integer promVisitorsId;
    /**
     * 推广id
     */
    private Integer promId;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：推广访客id
     */
    public void setPromVisitorsId(Integer promVisitorsId) {
        this.promVisitorsId = promVisitorsId;
    }

    /**
     * 获取：推广访客id
     */
    public Integer getPromVisitorsId() {
        return promVisitorsId;
    }
    /**
     * 设置：推广id
     */
    public void setPromId(Integer promId) {
        this.promId = promId;
    }

    /**
     * 获取：推广id
     */
    public Integer getPromId() {
        return promId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
